### Struct

# Hex DocumentFindData

#### Description

    struct HexDocumentFindData {
      gboolean found;
      gint64 start;
      gint8 what[];
      size_t len;
      HexSearchFlags flags;
      gint64 offset;
      size_t found_len;
      const char* found_msg;
      const char* not_found_msg;
    }

A structure containing metadata about a find operation in a `HexDocument`.

###### Structure members

`found:` `gboolean`

  Whether the string was found.

`start:` `gint64`

  Start offset of the payload, in bytes.

`what:` `gint8`

  A pointer to the data to search within the `HexDocument`.

`len:` `size_t`

  Length in bytes of the data to be searched for.

`flags:` `HexSearchFlags`

  `HexSearchFlags` search flags (Since: 4.2).

`offset:` `gint64`

  Offset of the found string.

`found_len:` `size_t`

  Length of the found string (may be different from the search string when dealing with regular expressions, for example) (Since: 4.2).

`found_msg:` `const char*`

  Message intended to be displayed by the client if the string is found.

`not_found_msg:` `const char*`

  Message intended to be displayed by the client if the string is not found.

#### Constructors

###### hex_document_find_data_new

Create a new empty `HexDocumentFindData` structure.

since: 4.2

#### Instance methods

###### hex_document_find_data_copy

Copy a `HexDocumentFindData` structure. This function is likely only useful for language bindings.

since: 4.2